---
title: "FreeBSD 8.1-RELEASE Release Notes"
sidenav: download
---

++++


  <h2>Release Highlights</h2>

  <p>The highlights in the 8.1-RELEASE are the following:</p>

  <ul>
    <li><p>[powerpc] FreeBSD now supports SMP in PowerPC G5
	systems. Note that SMP support on FreeBSD/powerpc is disabled by
	default in <tt class="FILENAME">GENERIC</tt> kernel.</p></li>

    <li><p>[sparc64] FreeBSD now supports UltraSPARC IV, IV+, and
	SPARC64 V CPUs.</p></li>

    <li><p>The ZFS zpool version has been updated to 14.  The <tt class="FILENAME">zfsloader</tt> has been added. This is a
	separate <a href="http://www.FreeBSD.org/cgi/man.cgi?query=zfs&amp;sektion=8&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">zfs</span>(8)</span></a> enabled
	loader. Note that a ZFS bootcode (<tt class="FILENAME">zfsboot</tt> or <tt class="FILENAME">gptzfsboot</tt>) need to be installed to use
	this new loader.</p></li>

    <li><p>The <a href="http://www.FreeBSD.org/cgi/man.cgi?query=bwn&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">bwn</span>(4)</span></a> driver for
	Broadcom BCM43xx chipsets has been added.</p></li>

    <li><p>The <a href="http://www.FreeBSD.org/cgi/man.cgi?query=run&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">run</span>(4)</span></a> driver for
	Ralink RT2700U/RT2800U/RT3000U USB 802.11agn devices has
	been added.</p></li>

    <li><p>The sge(4) driver for Silicon Integrated Systems SiS190/191
	Fast/Gigabit Ethernet has been added. This supports TSO and
	TSO over VLAN.</p></li>

    <li><p>The <a href="http://www.FreeBSD.org/cgi/man.cgi?query=uhso&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">uhso</span>(4)</span></a> driver for
	Option HSDPA USB devices has been added. A new <a href="http://www.FreeBSD.org/cgi/man.cgi?query=uhsoctl&amp;sektion=1&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	<span class="CITEREFENTRY"><span class="REFENTRYTITLE">uhsoctl</span>(1)</span></a> userland
	utility can be used to initiate and close the WAN
	connection.</p></li>

    <li><p>The <a href="http://www.FreeBSD.org/cgi/man.cgi?query=urtw&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">urtw</span>(4)</span></a> driver has
	been improved and now supports RTL8187B-based
	devices.</p></li>

    <li><p>The <a href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfw&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipfw</span>(4)</span></a> subsystem
	including <a href="http://www.FreeBSD.org/cgi/man.cgi?query=dummynet&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">dummynet</span>(4)</span></a> has been
	improved.</p></li>

    <li><p>The <a href="http://www.FreeBSD.org/cgi/man.cgi?query=pfil&amp;sektion=9&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">pfil</span>(9)</span></a>
	framework for packet filtering in FreeBSD kernel now supports separate packet filtering
	instances like <a href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfw&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipfw</span>(4)</span></a> for each
	VIMAGE jail.</p></li>

    <li><p>The <a href="http://www.FreeBSD.org/cgi/man.cgi?query=vlan&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">vlan</span>(4)</span></a> pseudo
	interface now supports TSO (TCP Segmentation Offloading). The capability flag is named as
	<code class="VARNAME">IFCAP_VLAN_HWTSO</code> and it is separated from <code class="VARNAME">IFCAP_VLAN_HWTAGGING</code>. The <a href="http://www.FreeBSD.org/cgi/man.cgi?query=age&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">age</span>(4)</span></a>, <a href="http://www.FreeBSD.org/cgi/man.cgi?query=alc&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">alc</span>(4)</span></a>, <a href="http://www.FreeBSD.org/cgi/man.cgi?query=ale&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">ale</span>(4)</span></a>, <a href="http://www.FreeBSD.org/cgi/man.cgi?query=bce&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">bce</span>(4)</span></a>, <a href="http://www.FreeBSD.org/cgi/man.cgi?query=bge&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">bge</span>(4)</span></a>, <a href="http://www.FreeBSD.org/cgi/man.cgi?query=cxgb&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">cxgb</span>(4)</span></a>, <a href="http://www.FreeBSD.org/cgi/man.cgi?query=jme&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">jme</span>(4)</span></a>, <a href="http://www.FreeBSD.org/cgi/man.cgi?query=re&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect"><span class="CITEREFENTRY"><span class="REFENTRYTITLE">re</span>(4)</span></a>, and <a href="http://www.FreeBSD.org/cgi/man.cgi?query=mxge&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">mxge</span>(4)</span></a> driver
	support this feature.</p></li>

    <li><p>The <a href="http://www.FreeBSD.org/cgi/man.cgi?query=vlan&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">vlan</span>(4)</span></a> pseudo
	interface for IEEE 802.1Q VLAN now ignore renaming of the
	parent's interface name. The configured VLAN interfaces
	continue to work with the new name while previously the
	configurations were removed as the renaming happens.</p></li>

    <li><p>The HAST (Highly Available STorage) framework has been
	added.  This is a framework to allow transparently storing data
	on two physically separated machines connected over the TCP/IP
	network. HAST works in Primary-Secondary (Master-Backup,
	Master-Slave) configuration, which means that only one of the
	cluster nodes can be active at any given time. Only Primary node
	is able to handle I/O requests to HAST-managed
	devices. Currently HAST is limited to two cluster nodes in
	total.</p></li>

    <li><p>FreeBSD <a href="http://www.FreeBSD.org/cgi/man.cgi?query=cam&amp;sektion=3&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">cam</span>(3)</span></a> SCSI
	framework has been improved and a new kernel option <code class="OPTION">option ATA_CAM</code> has been added. This
	turns <a href="http://www.FreeBSD.org/cgi/man.cgi?query=ata&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">ata</span>(4)</span></a> controller
	drivers into <a href="http://www.FreeBSD.org/cgi/man.cgi?query=cam&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">cam</span>(4)</span></a> interface
	modules. When enabled, this option deprecates all <a href="http://www.FreeBSD.org/cgi/man.cgi?query=ata&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">ata</span>(4)</span></a> peripheral
	drivers and interfaces such as <tt class="FILENAME">ad</tt>
	and <tt class="FILENAME">acd</tt>, and allows <a href="http://www.FreeBSD.org/cgi/man.cgi?query=cam&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">cam</span>(4)</span></a> drivers <tt class="FILENAME">ada</tt>, and <tt class="FILENAME">cd</tt>
	and interfaces to be natively used instead. Note that this
	is not enabled by default in the <tt class="FILENAME">GENERIC</tt> kernel.</p></li>

    <li><p>The <a href="http://www.FreeBSD.org/cgi/man.cgi?query=mvs&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">mvs</span>(4)</span></a> CAM ATA
	  driver for Marvell 88SX50XX/88SX60XX/88SX70XX/SoC SATA
	  controllers has been added. This driver supports same
	  hardware as the <a href="http://www.FreeBSD.org/cgi/man.cgi?query=ata&amp;sektion=4&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">ata</span>(4)</span></a> driver does,
	  but provides many additional features, such as NCQ and
	  PMP.</p></li>

    <li><p>The <tt class="FILENAME">liblzma</tt> library for LZMA2
	lossless data compression algorithm and the userland utilities
	<a href="http://www.FreeBSD.org/cgi/man.cgi?query=xz&amp;sektion=1&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect"><span class="CITEREFENTRY"><span class="REFENTRYTITLE">xz</span>(1)</span></a>, <a href="http://www.FreeBSD.org/cgi/man.cgi?query=xzdec&amp;sektion=1&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">xzdec</span>(1)</span></a>, <a href="http://www.FreeBSD.org/cgi/man.cgi?query=lzma&amp;sektion=1&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">lzma</span>(1)</span></a>, and <a href="http://www.FreeBSD.org/cgi/man.cgi?query=lzmainfo&amp;sektion=1&amp;manpath=FreeBSD+8.1-RELEASE" shape="rect">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">lzmainfo</span>(1)</span></a>. has been
	imported.</p></li>

    <li><p>The <b class="APPLICATION">ACPI-CA</b> has been updated to
	20100304.</p></li>

    <li><p><b class="APPLICATION">ISC BIND</b> has been updated to
	version 9.6.2-P2.</p></li>

    <li><p><b class="APPLICATION">OpenSSH</b> has been updated from
	version 5.1p1 to version 5.4p1.</p></li>

    <li><p><b class="APPLICATION">OpenSSL</b> has been updated to
	version 0.9.8n.</p></li>

    <li><p><b class="APPLICATION">sendmail</b> has been updated to
	version 8.14.4.</p></li>

    <li><p>The supported version of the <b class="APPLICATION">GNOME</b> desktop environment (<a href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/gnome2/pkg-descr" shape="rect"><tt class="FILENAME">x11/gnome2</tt></a>) has been updated to
	2.28.2.</p></li>

    <li><p>The supported version of the <b class="APPLICATION">KDE</b>
	desktop environment (<a href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/kde4/pkg-descr" shape="rect"><tt class="FILENAME">x11/kde4</tt></a>) has been updated to
	4.4.3.</p></li>
  </ul>

  <p>For more details, please see <a href="../relnotes-detailed/" shape="rect">the
    Detailed Release Notes</a>.</p>

  <p>A list of all platforms currently under development can be found
    on the <a href="../../../platforms/index.html" shape="rect">Supported
      Platforms</a> page.</p>

  </div>
          <br class="clearboth" />
        </div>
        
++++

